Loading...
Searching...
No Matches
MIB2
Applications » SNMPv2c/v3 agent

## Functions

void | snmp_mib2_set_sysdescr (const u8_t *str, const u16_t *len)
void | snmp_mib2_set_syscontact (u8_t *ocstr, u16_t *ocstrlen, u16_t bufsize)
void | snmp_mib2_set_syscontact_readonly (const u8_t *ocstr, const u16_t *ocstrlen)
void | snmp_mib2_set_sysname (u8_t *ocstr, u16_t *ocstrlen, u16_t bufsize)
void | snmp_mib2_set_sysname_readonly (const u8_t *ocstr, const u16_t *ocstrlen)
void | snmp_mib2_set_syslocation (u8_t *ocstr, u16_t *ocstrlen, u16_t bufsize)
void | snmp_mib2_set_syslocation_readonly (const u8_t *ocstr, const u16_t *ocstrlen)

## Detailed Description

## Function Documentation

## snmp_mib2_set_syscontact()

void snmp_mib2_set_syscontact | ( | u8_t * | ocstr,
|  | u16_t * | ocstrlen,
|  | u16_t | bufsize )

Initializes sysContact pointers

Parameters

  ocstr | if non-NULL then copy str pointer
  ocstrlen | points to string length, excluding zero terminator. if set to NULL it is assumed that ocstr is NULL-terminated.
  bufsize | size of the buffer in bytes. (this is required because the buffer can be overwritten by snmp-set) if ocstrlen is NULL buffer needs space for terminating 0 byte. otherwise complete buffer is used for string. if bufsize is set to 0, the value is regarded as read-only.

## snmp_mib2_set_syscontact_readonly()

void snmp_mib2_set_syscontact_readonly | ( | const u8_t * | ocstr,
|  | const u16_t * | ocstrlen )

see snmp_mib2_set_syscontact but set pointer to readonly memory

## snmp_mib2_set_sysdescr()

void snmp_mib2_set_sysdescr | ( | const u8_t * | str,
|  | const u16_t * | len )

Initializes sysDescr pointers.

Parameters

  str | if non-NULL then copy str pointer
  len | points to string length, excluding zero terminator

## snmp_mib2_set_syslocation()

void snmp_mib2_set_syslocation | ( | u8_t * | ocstr,
|  | u16_t * | ocstrlen,
|  | u16_t | bufsize )

Initializes sysLocation pointers

Parameters

  ocstr | if non-NULL then copy str pointer
  ocstrlen | points to string length, excluding zero terminator. if set to NULL it is assumed that ocstr is NULL-terminated.
  bufsize | size of the buffer in bytes. (this is required because the buffer can be overwritten by snmp-set) if ocstrlen is NULL buffer needs space for terminating 0 byte. otherwise complete buffer is used for string. if bufsize is set to 0, the value is regarded as read-only.

## snmp_mib2_set_syslocation_readonly()

void snmp_mib2_set_syslocation_readonly | ( | const u8_t * | ocstr,
|  | const u16_t * | ocstrlen )

see snmp_mib2_set_syslocation but set pointer to readonly memory

## snmp_mib2_set_sysname()

void snmp_mib2_set_sysname | ( | u8_t * | ocstr,
|  | u16_t * | ocstrlen,
|  | u16_t | bufsize )

Initializes sysName pointers

Parameters

  ocstr | if non-NULL then copy str pointer
  ocstrlen | points to string length, excluding zero terminator. if set to NULL it is assumed that ocstr is NULL-terminated.
  bufsize | size of the buffer in bytes. (this is required because the buffer can be overwritten by snmp-set) if ocstrlen is NULL buffer needs space for terminating 0 byte. otherwise complete buffer is used for string. if bufsize is set to 0, the value is regarded as read-only.

## snmp_mib2_set_sysname_readonly()

void snmp_mib2_set_sysname_readonly | ( | const u8_t * | ocstr,
|  | const u16_t * | ocstrlen )

see snmp_mib2_set_sysname but set pointer to readonly memory